# OwnedObject Data Type

This is the base class for users to own resources. Many classes extend this class

Subtypes
  KeyPair, ScaleRequest, AnsibleOutput, BenchmarkResult, CloudCredentials, DeployResponse, DRIPLogRecord, ProvisionRequest, Script, KeyValueHolder, DeployRequest, MonitorringMessage, ProvisionResponse

Properties
name | data type | description
--- | --- | ---
owner | string | The owner (username) for the particular object. This value is set when the DAO saves the object based on the principal who made the call. It is created automatically. No need to set during a POST
id | string | The UID of this object. This value is auto generated by the DAO when the object is saved.
timestamp | number | The object's creation date in unix time stamp. It is created automatically. No need to set during a POST

Example

    {
      "owner" : "user1",
      "id" : "58e3946e0fb4f562d84ba1ad",
      "timestamp" : 1499793079011
    }